notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Port details
rubygem-dep_selector Find a valid assignment of package versions
0.0.8_1 devel Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 0.0.8_1Version of this port present on the latest quarterly branch.
Broken BROKEN: Does not build
Deprecated DEPRECATED: Broken for more than 6 months
Expired This port expired on: 2014-11-26
Ignore IGNORE: is marked as broken: Does not build
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2011-12-16 22:18:45
Last Update: 2014-11-29 14:33:16
SVN Revision: 373618
Also Listed In: rubygems
License: not specified in port
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • rubygem-dep_selector>0:devel/rubygem-dep_selector
No installation instructions:
This port has been deleted.
PKGNAME: rubygem-dep_selector
Flavors: there is no flavor information for this port.
distinfo:
There is no distinfo for this port.
No package information for this port in our database
Sometimes this happens. Not all ports have packages.

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. gem20 : devel/ruby-gems
  2. ruby20 : lang/ruby20
Runtime dependencies:
  1. gecode>=3.5.0 : devel/gecode
  2. gem20 : devel/ruby-gems
  3. ruby20 : lang/ruby20
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 1 deleted port
  1. www/rubygem-chef-server-api*
  2. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:
FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (3 items)
Collapse this list.
  1. http://distcache.FreeBSD.org/ports-distfiles/rubygem/
  2. http://production.cf.rubygems.org/gems/
  3. http://production.s3.rubygems.org/gems/
Collapse this list.
Port Moves
  • port deleted on 2014-11-29
    REASON: Has expired: Broken for more than 6 months

Number of commits found: 9

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
29 Nov 2014 14:33:16
Original commit files touched by this commit Revision:373618  0.0.8_1
rene search for other commits by this committer
Remove expired ports:
2014-11-26 vietnamese/vnlpr: Broken for more than 6 months
2014-11-26 devel/fsmgenerator: Broken for more than 6 months
2014-11-26 graphics/multiraw: Depends on broken and deprecated graphics/dcraw-m
2014-11-26 news/fidogate-ds: Broken for more than 6 months
2014-11-26 net/py-yadis: Broken for more than 6 months
2014-11-26 textproc/ruby-diff: Broken for more than 6 months
2014-11-26 audio/cowbell: Broken for more than 6 months
2014-11-26 lang/ironpython: Broken for more than 6 months
2014-11-26 www/dpsearch: Broken for more than 6 months
2014-11-26 multimedia/y4mscaler: Broken for more than 6 months
2014-11-26 devel/rubygem-dep_selector: Broken for more than 6 months
25 Oct 2014 16:49:19
Original commit files touched by this commit Revision:371489  0.0.8_1
antoine search for other commits by this committer
Deprecate ports broken for more than 6 months
03 Apr 2014 18:07:48
Original commit files touched by this commit Revision:350034  0.0.8_1
mat search for other commits by this committer
I was a bit too hopeful, it doesn't.

Sponsored by:	Absolight
03 Apr 2014 15:02:15
Original commit files touched by this commit Revision:350020  0.0.8_1
mat search for other commits by this committer
Builds now.

Sponsored by:	Absolight
08 Mar 2014 13:17:38
Original commit files touched by this commit Revision:347492  0.0.8_1
antoine search for other commits by this committer
Mark BROKEN: Does not build

Reported by:	pkg-fallout
30 Oct 2013 02:31:05
Original commit files touched by this commit Revision:332035  0.0.8_1
swills search for other commits by this committer
- Add stage support
20 Sep 2013 17:17:45
Original commit files touched by this commit Revision:327726  0.0.8_1
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
devel part 4)
31 Mar 2012 07:18:24
Original commit files touched by this commit   0.0.8_1
wen search for other commits by this committer
- Update devel/gecode to 3.7.3

Feature safe:   yes
16 Dec 2011 22:17:35
Original commit files touched by this commit   0.0.8
pgollucci search for other commits by this committer
The gem takes as input a representation of packages and their dependencies and
finds a binding of packages to versions that satisfies desired constraints.

WWW: https://github.com/algorist/dep_selector

PR:             ports/163352
Submitted by:   Scott Sanders <scott@jssjr.com>
Sponsored by:   RideCharge Inc. / Taxi Magic

Number of commits found: 9